"""
Flyer - Python Framework for Flash Lite developers.
Copyright (C) 2007  Felipe Andrade

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
"""
import contacts

class FlyerDatabase:
    def __init__(self):
        print "init"
        
    # getContacts()
    # Get contact name entries in the default database.
    def getContacts(self, callback=None):
        # open the default database.
        db = contacts.open()
        data = u""
        for i in db:
            data += db[i].title + "&"
            number = db[i].find('mobile_number')
            if number:
                data += number[0].value + "|"
            else:
                data += "None|"
        try: 
            data = data.encode("iso-8859-1") 
        except UnicodeEncodeError: 
            data = "Invalid"
        if callback is not None:
            callback(data)
        else:
            print data

    def quit(self):
        appuifw.app.set_exit()

def test():
    import e32    
    
    script_lock = e32.Ao_lock()

    appuifw.app.title = u"FlyerDatabase"
    flyerDB = FlyerDatabase()
    appuifw.app.menu = [("Get contacts", getContacts)]
    appuifw.app.exit_key_handler = flyerDB.quit

    script_lock.wait()

if __name__ == '__main__':
    test()
