"""
Flyer - Python Framework for Flash Lite developers.
Copyright (C) 2007  Felipe Andrade

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
"""

class FlyerGraphics:
    def __init__(self, photoPath=None, screenshotPath=None):
        self.photoPath = photoPath
        self.screenshotPath = screenshotPath

    def takePhoto(self, argFilePath=None, bppImg=24, compressionImg='fast', callback=None):
        import camera
        if argFilePath is not None:
            self.photoPath = argFilePath
        img = camera.take_photo()
        # Feature not supported in S60 1st Edition
        img.save(self.photoPath, bpp=bppImg, compression=compressionImg)
        if callback is not None:
            callback(self.photoPath)

    def takeScreenshot(self, argFilePath=None, bppImg=24, compressionImg='fast', callback=None):
        import graphics
        if argFilePath is not None:
            self.screenshotPath = argFilePath
        img = graphics.screenshot()
        # Feature not supported in S60 1st Edition
        img.save(self.screenshotPath, bpp=bppImg, compression=compressionImg)
        if callback is not None:
            callback(self.screenshotPath)        

    def quit(self):
        appuifw.app.set_exit()
        
def test():
    import e32
    script_lock = e32.Ao_lock()

    appuifw.app.title = u"FlyerGraphics"
    flyerGraphics = FlyerGraphics("E:\\Flyer\\photo.png", "E:\\Flyer\\screenshot.png")
    appuifw.app.menu = [(u"Take photo", flyerGraphics.takePhoto), (u"Take Screenshot", flyerGraphics.takeScreenshot)]
    appuifw.app.exit_key_handler = flyerGraphics.quit

    script_lock.wait()

if __name__ == '__main__':
    test()
        
