"""
Flyer - Python Framework for Flash Lite developers.
Copyright (C) 2007  Felipe Andrade

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
"""

from e32socket import *

class FlyerNetwork:
    def __init__(self, filePath=None):
        self.filePath = filePath
        
    def sendFileBT(self, argFilePath=None, callback=None):
        try:
            if argFilePath is not None:
                self.filePath = argFilePath
                
            self.filePath = u"" + self.filePath
            phone = bt_obex_discover()
            bt_obex_send_file(phone[0], phone[1].values()[0], self.filePath)

            if callback is not None:
                callback(u'File sent.')
        except Exception, error:
            if callback is not None:
                callback(unicode(error[1]))
            
    def quit(self):
        appuifw.app.set_exit()
        
def test():
    import e32
    script_lock = e32.Ao_lock()

    appuifw.app.title = u"FlyerNetwork"
    flyerNetwork = FlyerNetwork("E:\\Flyer\\photo.png")
    appuifw.app.menu = [(u"Send file", flyerNetwork.sendFileBT)]
    appuifw.app.exit_key_handler = flyerNetwork.quit

    script_lock.wait()

if __name__ == '__main__':
    test()
